=== debian/changelog ===
python-sse-starlette (2.1.3-2) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 08 Sep 2024 08:09:09 +0200

python-sse-starlette (2.1.3-1) unstable; urgency=medium

  * Team upload

  [ Carsten Schoenert ]
  * [f36f4a4] New upstream version 2.1.3

  [ Kathara Sasikumar ]
  * [23b77ac] Initial Debianization
    (Closes: #1079092)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 30 Aug 2024 10:04:31 +0200
