=== debian/control ===
Source: python-sse-starlette
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-anyio <!nocheck>,
 python3-asgi-lifespan <!nocheck>,
 python3-httpx <!nocheck>,
 python3-pdm-backend,
 python3-psutil <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-requests <!nocheck>,
 python3-starlette <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/sysid/sse-starlette
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sse-starlette
Vcs-Git: https://salsa.debian.org/python-team/packages/python-sse-starlette.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-sse-starlette
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: SSE plugin for Starlette and FastAPI (Python 3)
 Implements Server-Sent Events (SSE) implementation for Starlette and FastAPI,
 enabling  real-time event streaming from server to client.
 .
 https://developer.mozilla.org/en-US/docs/Web/API/Server-sent_events
 .
 This package installs the library for Python 3.
