=== debian/changelog ===
python-sse-starlette (2.2.1-1) unstable; urgency=medium

  * Team upload
  * [80c412b] New upstream version 2.2.1
  * [84b0c4e] Drop exiting patch queue
  * [5173fad] d/control: Switch from PDM to Setuptools as upstream did
  * [2b54e9c] d/rules: Ignore tests requiring internet access
  * [8e56396] autopkgtest: Adjust setup due upstream changes

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 26 Dec 2024 13:44:40 +0200
