=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
  python3-anyio <!nocheck>,
  python3-asgi-lifespan <!nocheck>,
  python3-httpx <!nocheck>,
- python3-pdm-backend,
  python3-psutil <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-requests <!nocheck>,
+ python3-setuptools,
  python3-starlette <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://github.com/sysid/sse-starlette
