## python-sse-starlette 2.3.3

=== debian/changelog ===
python-sse-starlette (2.3.3-1) unstable; urgency=medium

  * Team upload
  * [71b56f4] New upstream version 2.3.3
  * [190333c] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Apr 2025 13:51:35 +0200
