## python-sse-starlette 2.3.4

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 tests_src = $(app_root)/tests
 
 .PHONY: all
-all: clean build upload  ## Build and upload
+all: clean build publish  ## Build and publish
 	@echo "--------------------------------------------------------------------------------"
 	@echo "-M- building and distributing"
 	@echo "--------------------------------------------------------------------------------"
@@ -40,47 +40,65 @@
 	twine upload --verbose dist/*
 
 .PHONY: bump-major
-bump-major:  ## bump-major, tag and push
+bump-major:  check-github-token  ## bump-major, tag and push
 	bump-my-version bump --commit --tag major
 	git push
 	git push --tags
 	@$(MAKE) create-release
 
 .PHONY: bump-minor
-bump-minor:  ## bump-minor, tag and push
+bump-minor:  check-github-token  ## bump-minor, tag and push
 	bump-my-version bump --commit --tag minor
 	git push
 	git push --tags
 	@$(MAKE) create-release
 
 .PHONY: bump-patch
-bump-patch:  ## bump-patch, tag and push
+bump-patch:  check-github-token  ## bump-patch, tag and push
 	bump-my-version bump --commit --tag patch
 	git push
 	git push --tags
 	@$(MAKE) create-release
 
 .PHONY: create-release
-create-release:  ## create a release on GitHub via the gh cli
-	@if command -v gh version &>/dev/null; then \
+create-release: check-github-token  ## create a release on GitHub via the gh cli
+	@if ! command -v gh &>/dev/null; then \
+		echo "You do not have the GitHub CLI (gh) installed. Please create the release manually."; \
+		exit 1; \
+	else \
 		echo "Creating GitHub release for v$(VERSION)"; \
 		gh release create "v$(VERSION)" --generate-notes; \
-	else \
-		echo "You do not have the github-cli installed. Please create release from the repo manually."; \
+	fi
+
+.PHONY: check-github-token
+check-github-token:  ## Check if GITHUB_TOKEN is set
+	@if [ -z "$$GITHUB_TOKEN" ]; then \
+		echo "GITHUB_TOKEN is not set. Please export your GitHub token before running this command."; \
 		exit 1; \
 	fi
+	@echo "GITHUB_TOKEN is set"
 
 ################################################################################
 # Testing \
 TESTING:  ## ############################################################
 .PHONY: test
-test:  ## run tests
+test: test-unit test-docker  ## run tests
 	#python -m pytest -ra --junitxml=report.xml --cov-config=pyproject.toml --cov-report=xml --cov-report term --cov=$(pkg_src) tests/
-	RUN_ENV=local python -m pytest -m "not (experimentation)" --cov-config=pyproject.toml --cov-report=html --cov-report=term --cov=$(pkg_src) tests
+	#RUN_ENV=local python -m pytest -m "not (experimentation)" --cov-config=pyproject.toml --cov-report=html --cov-report=term --cov=$(pkg_src) tests
+	:
 
 .PHONY: test-unit
 test-unit:  ## run all tests except "integration" marked
 	RUN_ENV=local python -m pytest -m "not (integration or experimentation)" --cov-config=pyproject.toml --cov-report=html --cov-report=term --cov=$(pkg_src) tests
+
+.PHONY: test-docker
+test-docker:  ## test-docker (docker desktop: advanced settings)
+	@if [ -S /var/run/docker.sock > /dev/null 2>&1 ]; then \
+		echo "Running docker tests because /var/run/docker.docker exists..."; \
+		RUN_ENV=local python -m pytest -m "integration" tests; \
+	else \
+		echo "Skipping tests: /var/run/docker.sock does not exist."; \
+	fi
 
 .PHONY: tox
 tox:   ## Run tox
