=== debian/changelog ===
python-sse-starlette (2.3.4-1) unstable; urgency=medium

  * [eb2993c] New upstream version 2.3.4

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Thu, 08 May 2025 10:55:51 +0000
