=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-requests <!nocheck>,
  python3-setuptools,
  python3-starlette <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/sysid/sse-starlette
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sse-starlette
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sse-starlette.git
