## python-sse-starlette 3.0.2

=== Makefile ===
--- 
+++ 
@@ -100,9 +100,6 @@
 		echo "Skipping tests: /var/run/docker.sock does not exist."; \
 	fi
 
-.PHONY: tox
-tox:   ## Run tox
-	tox
 
 ################################################################################
 # Code Quality \
