=== debian/changelog ===
python-sse-starlette (3.0.2-2) unstable; urgency=medium

  * Team upload
  * [6dff3b8] d/control: Add python3-starlette as dep

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 27 Oct 2025 08:03:48 +0200

python-sse-starlette (3.0.2-1) unstable; urgency=medium

  * Team upload
  * [383e5e2] d/watch: Convert to version 5
  * [4a8c547] New upstream version 3.0.2
  * [9bf7e0a] d/control: Remove Rules-Requires-Root

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Oct 2025 14:56:12 +0200
