=== debian/control ===
--- 
+++ 
@@ -24,11 +24,11 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sse-starlette
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sse-starlette.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-sse-starlette
 Architecture: all
 Depends:
+ python3-starlette,
  ${misc:Depends},
  ${python3:Depends},
 Description: SSE plugin for Starlette and FastAPI (Python 3)
