=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,11 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=sse_starlette
+export PYBUILD_TEST_ARGS=\
+ --ignore tests/experimentation/test_multiple_consumers_asyncio.py \
+ --ignore tests/experimentation/test_multiple_consumers_threads.py \
+ --ignore tests/integration/test_multiple_consumers.py \
+ $(NULL)
 
 %:
 	dh $@ --buildsystem=pybuild
