## python-sse-starlette 3.1.2

=== debian/changelog ===
python-sse-starlette (3.1.2-1) unstable; urgency=medium

  * Team upload
  * [9b84824] New upstream version 3.1.2
  * [e8ae076] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * [b04d501] d/control: Set version dep on python3-starlette

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 01 Jan 2026 19:14:15 +0200
