=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
  python3-pytest-cov <!nocheck>,
  python3-requests <!nocheck>,
  python3-setuptools,
- python3-starlette <!nocheck>,
-Standards-Version: 4.7.2
+ python3-starlette (>> 0.49.1) <!nocheck>,
+Standards-Version: 4.7.3
 Homepage: https://github.com/sysid/sse-starlette
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sse-starlette
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sse-starlette.git
@@ -28,7 +28,7 @@
 Package: python3-sse-starlette
 Architecture: all
 Depends:
- python3-starlette,
+ python3-starlette (>> 0.49.1),
  ${misc:Depends},
  ${python3:Depends},
 Description: SSE plugin for Starlette and FastAPI (Python 3)
