=== debian/changelog ===
python-sse-starlette (3.2.0-1) unstable; urgency=medium

  * Team upload
  * [1713517] New upstream version 3.2.0
  * [6554294] d/control: Drop field Priority: optional
  * [466d555] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Jan 2026 19:00:18 +0200
