=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-sse-starlette
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Kathara Sasikumar <katharasasikumar007@gmail.com>,
